package com.quant.dao;

import java.util.List;

import com.quant.annotation.MyBatisRepository;
import com.quant.entity.AdminstrationUser;

@MyBatisRepository
public interface AdminMapper {
	List<AdminstrationUser> findAll();

	void add(AdminstrationUser admin);

	List<AdminstrationUser> findByStatus(int status);
	
	int updateById(AdminstrationUser admin);
	
	AdminstrationUser findById(int id);
	
	void deleteById(int id);
	
	AdminstrationUser findByLoginName(String loginName);
}
